aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/trex/trex_installer.sh
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2017-06-20 13:57:08 +0200
committerTibor Frank <tifrank@cisco.com>2017-06-29 12:17:28 +0000
commit6721e7f09aa95bff6622068332a3f56afad9c87b (patch)
tree37ef7f40e53f740a62830ab46142aa87342dc56b /resources/tools/trex/trex_installer.sh
parent859157b5db45927c7b4bb0b2d575e68805777a86 (diff)
CSIT-687: Directory structure reorganization
Change-Id: I772c9e214be2461adf58124998d272e7d795220f Signed-off-by: Tibor Frank <tifrank@cisco.com> Signed-off-by: Maciek Konstantynowicz <mkonstan@cisco.com>
Diffstat (limited to 'resources/tools/trex/trex_installer.sh')
-rwxr-xr-xresources/tools/trex/trex_installer.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/resources/tools/trex/trex_installer.sh b/resources/tools/trex/trex_installer.sh
new file mode 100755
index 0000000000..13891f14a1
--- /dev/null
+++ b/resources/tools/trex/trex_installer.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+TREX_VERSION="2.25"
+
+TREX_DOWNLOAD_REPO="https://github.com/cisco-system-traffic-generator/trex-core/archive/"
+TREX_DOWNLOAD_PACKAGE="v${TREX_VERSION}.zip"
+TREX_PACKAGE_URL="${TREX_DOWNLOAD_REPO}${TREX_DOWNLOAD_PACKAGE}"
+TARGET_DIR="/opt/"
+TREX_DIR="trex-core-${TREX_VERSION}/"
+TREX_INSTALL_DIR="${TARGET_DIR}${TREX_DIR}"
+
+if test "$(id -u)" -ne 0
+then
+ echo "Please use root or sudo to be able to access target installation directory: ${TARGET_DIR}"
+ exit 1
+fi
+
+WORKING_DIR=$(mktemp -d)
+test $? -eq 0 || exit 1
+
+cleanup () {
+ rm -r ${WORKING_DIR}
+}
+
+trap cleanup EXIT
+
+test -d ${TREX_INSTALL_DIR} && echo "T-REX aleready installed: ${TREX_INSTALL_DIR}" && exit 0
+
+wget -P ${WORKING_DIR} ${TREX_PACKAGE_URL}
+test $? -eq 0 || exit 1
+
+unzip ${WORKING_DIR}/${TREX_DOWNLOAD_PACKAGE} -d ${TARGET_DIR}
+test $? -eq 0 || exit 1
+
+cd ${TREX_INSTALL_DIR}/linux_dpdk/ && ./b configure && ./b build || exit 1
+cd ${TREX_INSTALL_DIR}/scripts/ko/src && make && make install || exit 1
+